Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.xml.parser.v2
Class XMLDOMImplementation

    java.lang.Object
      |
      +--oracle.xml.parser.v2.XMLDOMImplementation

All Implemented Interfaces:
  DOMImplementation, DOMImplementationLS, java.io.Serializable

public class XMLDOMImplementation
extends java.lang.Object
implements DOMImplementation, java.io.Serializable, DOMImplementationLS

This class implements the DOMImplementation

See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.w3c.dom.ls.DOMImplementationLS
`MODE_ASYNCHRONOUS, MODE_SYNCHRONOUS`

Constructor Summary
`XMLDOMImplementation()`

Method Summary
`Document` | `createDocument(java.lang.String namespaceURI, java.lang.String qualifiedName, DocumentType doctype)` Creates an empty DocumentType node.
`DocumentType` | `createDocumentType(java.lang.String qualifiedName, java.lang.String publicId, java.lang.String systemId)` Creates an XML Document object of the specified type with its document element
`LSInput` | `createLSInput()` Create a new empty input source object where `LSInput.characterStream`, `LSInput.byteStream` , `LSInput.stringData` `LSInput.systemId`, `LSInput.publicId`, `LSInput.baseURI`, and `LSInput.encoding` are null, and `LSInput.certifiedText` is false.
`LSOutput` | `createLSOutput()` Create a new empty output destination object where `LSOutput.characterStream`, `LSOutput.byteStream`, `LSOutput.systemId`, `LSOutput.encoding` are null.
`LSParser` | `createLSParser(short mode, java.lang.String schemaType)` Create a new `LSParser`.
`LSSerializer` | `createLSSerializer()` Create a new `LSSerializer` object.
`boolean` | `hasFeature(java.lang.String feature, java.lang.String version)` Test if the DOM implementation implements a specific feature.
`void` | `setFeature(java.lang.String feature)` Sets a specified feature

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLDOMImplementation

    public XMLDOMImplementation()

Method Detail

### hasFeature

    public boolean hasFeature(java.lang.String feature,
                              java.lang.String version)

  Test if the DOM implementation implements a specific feature.
  Specified by:
    `hasFeature` in interface `DOMImplementation`
  Parameters:
    `feature` - ,implementation checked
  Returns:
    true if the feature is implemented ,false otherwise

### createDocumentType

    public DocumentType createDocumentType(java.lang.String qualifiedName,
                                           java.lang.String publicId,
                                           java.lang.String systemId)
                                    throws DOMException

  Creates an XML Document object of the specified type with its document element
  Specified by:
    `createDocumentType` in interface `DOMImplementation`
  Parameters:
    `qualifiedName` - Qualified name of document type to be created
    `publicId` - Public identifier of the document type object to be created
    `systemId` - System identifier of the document type object to be created
  Returns:
    the DocumentType object created.
  Throws:
    `DOMException` - INVALID_CHARACTER_ERR: Raised if the specified qualified name contains an illegal character NAMESPACE_ERR: Raised if the qualifiedName is malformed.

### createDocument

    public Document createDocument(java.lang.String namespaceURI,
                                   java.lang.String qualifiedName,
    DocumentType doctype)
                            throws DOMException

  Creates an empty DocumentType node. Entity declarations and notations are not made available. Entity reference expansions and default attribute additions do not occur.
  Specified by:
    `createDocument` in interface `DOMImplementation`
  Parameters:
    `qualifiedName` - QName of the root element or null
    `namespaceURI` - Namespace of the root element or null
  Returns:
    the Document object created. INVALID_CHARACTER_ERR: Raised if the specified qualified name contains an illegal character NAMESPACE_ERR: Raised if the qualifiedName is malformed, if the qname has a prefix and the namespaceURI is null or an empty String, or if the qualifiedName has a prefix that is "xml" and namespaceURI is different from "http://www.w3.org/XML/1998/namespace" WRONG_DOCUMENT_ERR: Raised if doctype has already been used with a different document or was created from a different implementation
  Throws:
    `DOMException` - INVALID_CHARACTER_ERR: Raised if the specified qualified name contains an illegal character.
    NAMESPACE_ERR: Raised if the `qualifiedName` is malformed, if the `qualifiedName` has a prefix and the `namespaceURI` is `null`, or if the `qualifiedName` has a prefix that is "xml" and the `namespaceURI` is different from " http://www.w3.org/XML/1998/namespace" .
    WRONG_DOCUMENT_ERR: Raised if `doctype` has already been used with a different document or was created from a different implementation.

### setFeature

    public void setFeature(java.lang.String feature)
                    throws DOMException

  Sets a specified feature
  Parameters:
    `feature` - the DOM feature
  Throws:
    `DOMException` - if the feature could not be set

### createLSParser

    public LSParser createLSParser(short mode,
                                   java.lang.String schemaType)
                            throws DOMException

  Create a new `LSParser`. The newly constructed parser may then be configured by means of its `DOMConfiguration` object, and used to parse documents by means of its `parse` method.
  Specified by:
    `createLSParser` in interface `DOMImplementationLS`
  Parameters:
    `mode` - The `mode` argument is either `MODE_SYNCHRONOUS` or `MODE_ASYNCHRONOUS`, if `mode` is `MODE_SYNCHRONOUS` then the `LSParser` that is created will operate in synchronous mode, if it's `MODE_ASYNCHRONOUS` then the `LSParser` that is created will operate in asynchronous mode.
    `schemaType` - An absolute URI representing the type of the schema language used during the load of a `Document` using the newly created `LSParser`. Note that no lexical checking is done on the absolute URI. In order to create a `LSParser` for any kind of schema types (i.e. the LSParser will be free to use any schema found), use the value `null`.
  Returns:
    The newly created `LSParser` object. This `LSParser` is either synchronous or asynchronous depending on the value of the `mode` argument.
  Throws:
    `DOMException` - NOT_SUPPORTED_ERR: Raised if the requested mode or schema type is NOTE: DOM LS interfaces are pre W3C Recommendation and are subject to change from release to relase until W3C Recommendation. Therefore this method is subject to change.

### createLSSerializer

    public LSSerializer createLSSerializer()

  Create a new `LSSerializer` object.
  Specified by:
    `createLSSerializer` in interface `DOMImplementationLS`
  Returns:
    The newly created `LSSerializer` object.

    Note: By default, the newly created `LSSerializer` has no `DOMErrorHandler`, i.e. the value of the `"error-handler"` configuration parameter is `null`. However, implementations may provide a default error handler at creation time. In that case, the initial value of the `"error-handler"` configuration parameter on the new created `LSSerializer` contains a reference to the default error handler. NOTE: DOM LS interfaces are pre W3C Recommendation and are subject to change from release to relase until W3C Recommendation. Therefore this method is subject to change.

### createLSInput

    public LSInput createLSInput()

  Create a new empty input source object where `LSInput.characterStream`, `LSInput.byteStream` , `LSInput.stringData` `LSInput.systemId`, `LSInput.publicId`, `LSInput.baseURI`, and `LSInput.encoding` are null, and `LSInput.certifiedText` is false.
  Specified by:
    `createLSInput` in interface `DOMImplementationLS`
  Returns:
    The newly created input object. NOTE: DOM LS interfaces are pre W3C Recommendation and are subject to change from release to relase until W3C Recommendation. Therefore this method is subject to change.

### createLSOutput

    public LSOutput createLSOutput()

  Create a new empty output destination object where `LSOutput.characterStream`, `LSOutput.byteStream`, `LSOutput.systemId`, `LSOutput.encoding` are null.
  Specified by:
    `createLSOutput` in interface `DOMImplementationLS`
  Returns:
    The newly created output object. NOTE: DOM LS interfaces are pre W3C Recommendation and are subject to change from release to relase until W3C Recommendation. Therefore this method is subject to change.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2004, Oracle. All rights reserved.